NPC Duplicate of Player Pony Created at Evershade Portal During "So You Think You're Ready" Quest
Closed, ResolvedPublic


What is happening:
When a player is at the spellcast objective stage for the "So You Think You're Ready" quest and the player returns to Tenseven after casting Ground Pound on the hornets 5 times, you can click on the Talk button, but Tenseven will not talk to you even though he has the quest indicator over him to tell you that the current stage has been completed and you should talk to him. However, if you leave the room via the portal, then return, talking to Tenseven will properly advance the quest. But, as you enter the room via the portal, a duplicate of the player pony is created with the NPC ... over its head. The duplicate is facing away from the screen, on the opposite side of the portal from where the player pony appears. The duplicate will remain in the room even if the player exits and comes back again until the server resets.

What should be happening:
The player should be able to return to Tenseven and have the quest advance without having to leave the room and return.

Steps to reproduce the issue:
Go to the Evershade. Start the quest with Tenseven. Get the mushrooms. Return to Tenseven. Go pound hornets five times with Ground Pound. Return to Tenseven, Have problem with dialogue. Leave room via portal. Return to room. Note: logging out and relogging in does NOT create a duplicate and does allow the quest to advance.

Game client version:

Reproduced by:
Rattletrap with all three types of pony.

Reproduced on:
Win7 64 bit

Crash logs or exceptions generated:
If applicable, give a link to an archive containing the crash logs generated, or copy/paste exceptions you got related to this error


Rattletrap reassigned this task from justin to Natfoth.
Rattletrap added a subscriber: justin.
Rattletrap updated the task description. (Show Details)Jan 4 2017, 4:38 AM

This just happened to me.

Win7, 64 bit

justin raised the priority of this task from Needs Triage to High.Feb 28 2017, 1:07 AM
justin added a parent task: T266: My Avatar became a NPC.
justin closed this task as Resolved.Mar 3 2017, 8:27 PM

fixed with commit a770c6fe @ 3/3/2017 12:25:28 PM PST